<template>
    <div class="container">

        <div class="heading" style="margin-top: 1rem;">Welcome to MetaboSERV!</div>

        <div><b>MetaboSERV</b> is an open-source, freely available, interactive platform for selecting, exchanging, and visualizing metabolomics data with controlled data access. It allows users to upload, share, analyze, and compare their (quantitative) metabolomics data.<br>
        MetaboSERV is a collaborative project, which has been developed within the BMBF-funded e:Med junior consortium CKDNapp.</div>

        <div>
            Take a look at the available, public studies <router-link to="/studies">here.</router-link><br>
            Query the public studies, select, analyze and retrieve data <router-link to="/query">here.</router-link><br>
            Browse through different quality control plots for the public studies or visualize Bruker NMR spectra <router-link to="/browse">here.</router-link><br>
            Learn more about Data Privacy and Terms of Use <router-link to="/about">here.</router-link><br>
            Detailed user guides can be found <router-link to="/help">here.</router-link><br>
            Want to test uploading data to MetaboSERV? <span>You can find some example data <a href="https://owncloud.gwdg.de/index.php/s/bCM1qQbys0ji6Wb">here.</a> Smaller templates for each format can be found <a href="https://owncloud.gwdg.de/index.php/s/KdbfOkZmkLKPYZE">here</a>.</span><br>
            <div v-if="studies.hmdb_enforced">This instance of MetaboSERV enforces the use of <b>HMDB identifiers</b> for all metabolites. You can map metabolite names to HMDB accession numbers <router-link to="/map">here</router-link>.</div>
            <div v-if="!studies.hmdb_enforced">This instance of MetaboSERV does not enforce particular identifiers. Regardless, you can map metabolite names to HMDB accession numbers <router-link to="/map">here</router-link>.</div>
        </div>

        <div>
            <div class="subheading">Citation</div>
            Once MetaboSERV is published, you will be able to find the according citation here!
        </div>

        <div>
            <div class="subheading">Funding</div>
            MetaboSERV was supported by the German Federal Ministry of Education and Research (BMBF) within the framework of the e:Med research and funding concept (grant numbers: 01ZX1912A, 01ZX1912C, and 01ZX1912D).
        </div>

        <div>
            <div class="subheading">Contact</div>
            <div class="contact">
                <div>
                    <b>Prof. Dr. Helena Zacharias</b><br>                              
                    zacharias.helena@mh-hannover.de<br>
                    Hannover Medical School<br>
                    Peter L. Reichertz Institute for Medical Informatics of TU Braunschweig and Hannover Medical School<br>
                    Carl-Neuberg-Straße 1<br>
                    30625 Hanover<br>
                    Germany
                </div>
                <div>
                    <b>Dr. Jürgen Dönitz</b><br>
                    juergen.doenitz@bioinf.med.uni-goettingen.de<br>
                    University Medical Center Göttingen<br>
                    Department of Medical Bioinformatics<br>
                    Goldschmidtstraße 1<br>
                    37077 Göttingen<br>
                    Germany
                </div>
            </div>
        </div>

        <div>
            <div class="subheading">Implementation</div>
            <div class="contact">
                <div>
                    <b>Tim Tucholski</b><br>                              
                    tim.tucholski@med.uni-goettingen.de<br>
                    University Medical Center Göttingen<br>
                    Department of Medical Bioinformatics<br>
                    Goldschmidtstraße 1<br>
                    37077 Göttingen<br>
                    Germany
                </div>
                <div>
                    <b>Angela Maennel</b><br>
                    maennel.angela@mh-hannover.de<br>
                    Hannover Medical School<br>
                    Peter L. Reichertz Institute for Medical Informatics of TU Braunschweig and Hannover Medical School<br>
                    Carl-Neuberg-Straße 1<br>
                    30625 Hanover<br>
                    Germany
                </div>
            </div>
        </div>
        
    </div>
</template>

<script setup lang="ts">
import { onMounted } from 'vue';
import { useStudyStore } from '@/stores/studies';
import { areHMDBIdentifiersEnforced } from '@/modules/query_module';

const studies = useStudyStore();

onMounted(async () => {
    if (studies.hmdb_enforced === null) {
        let enforced = await areHMDBIdentifiersEnforced();
        studies.hmdb_enforced = enforced.body as boolean;
    }
})

</script>

<style scoped>

.container {
    display: flex;
    justify-items: baseline;
    flex-direction: column;
    min-width: 65%;
    max-width: 90%;
    margin: 2rem auto;
    font-size: var(--fs-default);
    gap: 1rem;
}
.heading {
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--color-head);
}

.subheading {
    font-size: var(--fs-default);
    font-weight: 600;
    color: var(--color-head);
    
}

.subsubheading {
    font-size: 1rem;
    font-weight: 600;
}

a, a:active {
    color: var(--color-primary);
}

a:hover {
    color: var(--color-head);
}

.contact {
    display: grid;
    grid-template-columns: 0.75fr 1fr;
    grid-auto-flow: row;
}

</style>